if [[ -z "${KERNEL_CROSS_BUILD_ENVIRONMENT_SOURCED}" ]]; then

        # should work for MACHINE=beagleboard also, you will have to set OETMP correctly
        MACHINE=ethernut5

        # Set OETMP to be your OE config TMPDIR. This is a configurable param for OE. 
        OETMP=`pwd`/tmp

	SYSROOTSDIR=${OETMP}/sysroots
	STAGEDIR=${SYSROOTSDIR}/`uname -m`-linux/usr

        #export KERNELDIR=${SYSROOTSDIR}/${MACHINE}-angstrom-linux-gnueabi/kernel

 	PATH=${PATH}:${STAGEDIR}/bin:${STAGEDIR}/bin/armv5te-poky-linux-gnueabi

        unset CFLAGS CPPFLAGS CXXFLAGS LDFLAGS MACHINE

        export ARCH="arm"
        export CROSS_COMPILE="arm-poky-linux-gnueabi-"
        export CC="arm-poky-linux-gnueabi-gcc"
        export LD="arm-poky-linux-gnueabi-ld"
        export KERNEL_CROSS_BUILD_ENVIRONMENT_SOURCED="true"

        echo "Altered environment for cross building kernel/u-boot with OE tools."
else
        echo "Cross build environment already configured."
fi

